#include "histogram.h"
#include "text.h"
#include "svg.h"

struct Input {
    vector<double> vec;
    size_t korz{};
};

Input input_data(istream& in, bool prompt = false) {
    Input lin;
    size_t n, korz;
    if(prompt)
        cerr << "Number of elements: ";
    in >> n;
    lin.vec.resize(n);
    for (size_t i = 0; i < n; i++)
        in >> lin.vec[i];
    if(prompt)
        cerr << "Enter bin count: ";
    in >> lin.korz;
    return lin;
}

int main() {

    auto in = input_data(cin, true);
    auto bins = make_histogram(in.korz, in.vec);
    show_histogram_svg(bins);
}
