#define DOCTEST_CONFIG_NO_MULTITHREADING
#define DOCTEST_CONFIG_IMPLEMENT_WITH_MAIN
#include "doctest.h"
#include "histogram_internal.h"

using namespace std;

TEST_CASE("distinct positive numbers") {
    double min = 0;
    double max = 0;
    find_minmax({1, 2}, min, max);
    CHECK(min == 1);
    CHECK(max == 2);
}

TEST_CASE("empty vector"){
    double min = 0;
    double max = 0;
    vector<double> empty;
    bool result = find_minmax(empty, min, max);
    CHECK(!result);
}




TEST_CASE("single vector"){
    double min = 0;
    double max = 0;
    vector<double> single = {3};
    find_minmax(single, min, max);
    CHECK(min == 3);
    CHECK(max == 3);
}

TEST_CASE("negative vector"){
    double min = 0;
    double max = 0;
    vector<double> negative = {-1, -2};
    find_minmax(negative, min, max);
    CHECK(min == -2);
    CHECK(max == -1);
}

TEST_CASE("same vector"){
    double min = 0;
    double max = 0;
    vector<double> identical = {1, 1};
    find_minmax(identical, min, max);
    CHECK(min == 1);
    CHECK(max == 1);
}

TEST_CASE("block"){
    size_t block_width = 15;
    bool result = width( block_width);
        CHECK(result);
}


TEST_CASE("block"){
    size_t block_width = 0;
    bool result = width( block_width);
        CHECK(!result);
}

